module.exports = {
    env: {
        browser: true,
        es2021: true,
    },
    extends: [
        'eslint:recommended',
        'plugin:react/recommended',
        'plugin:prettier/recommended',
        'prettier',
    ],
    parserOptions: {
        ecmaFeatures: {
            jsx: true,
        },
        ecmaVersion: 'latest',
        sourceType: 'module',
    },
    plugins: ['react', 'prettier'],
    rules: {
        'no-undef': 0,
        'no-var': 1,
        'prefer-const': 1,
        'no-unused-vars': 1,
        'no-prototype-builtins': 1,
        'no-useless-escape': 1,
        'no-irregular-whitespace': 1,
        'react/prop-types': 0,
        'react/no-unknown-property': 1,
    },
}
