import React from 'react'
import './ChatMngHeader.scss'

import { ChatAvatar } from '..'
import { printEnding } from '../../helpers'

export const ChatMinInfo = ({ chat, OPEN }) => {
    if (chat) {
        return (
            <div className="blockLeft" onClick={OPEN}>
                <div className="blockAv">
                    <ChatAvatar chat={chat} />
                </div>
                <div className="blockInfo">
                    <div className="blockName">{chat.title}</div>
                    <div className="blockMemb">
                        {chat.members &&
                            `${chat.members.length} участник${printEnding(
                                String(chat.members.length)
                            )}`}
                    </div>
                </div>
            </div>
        )
    } else {
        return <></>
    }
}
