import React, { useState } from 'react'
import Box from '@mui/material/Box'
import Modal from '@mui/material/Modal'
import IconButton from '@mui/material/IconButton'
// import Button from '@mui/material/Button'
// import Typography from '@mui/material/Typography'
import CloseIcon from '@mui/icons-material/Close'
// import List from '@mui/material/List'
import { connect } from 'react-redux'
import './ChatModal.scss'

// import { ChatAvatar, UserCard } from '..'

const ChatInfoModal = ({ chat, render }) => {
    const [open, setOpen] = useState(false)
    const handleOpen = () => setOpen(true)
    const handleClose = () => setOpen(false)

    const OpenBtn = render
    return (
        <>
            <OpenBtn chat={chat} OPEN={handleOpen} />

            <Modal open={open} onClose={handleClose}>
                <Box className="styleModalParrent chatModalWrapp">
                    <Box className="modalHead">
                        <Box className="modalClose">
                            <IconButton onClick={handleClose}>
                                <CloseIcon />
                            </IconButton>
                        </Box>
                    </Box>
                </Box>
            </Modal>
        </>
    )
}
export const CChatInfoModal = connect((state) => ({
    chatError: state.promise.updateChat || {},
}))(ChatInfoModal)
