import React from 'react'
import ListItem from '@mui/material/ListItem'
import ListItemText from '@mui/material/ListItemText'
import { connect } from 'react-redux'
import './MainMenu.scss'

import { actionFullLogout } from '../../actions'

const LogoutBtn = ({ onLogout }) => (
    <>
        <ListItem button onClick={() => onLogout()}>
            <ListItemText primary={'Выйти'} />
        </ListItem>
    </>
)
export const CLogoutBtn = connect(null, { onLogout: actionFullLogout })(
    LogoutBtn
)
