export function sortMediaArr(media) {
    const allMedia = {}
    if (media)
        for (const file of media) {
            if (file.type) {
                const [objName] = file.type.split('/') || []

                if (Object.prototype.hasOwnProperty.call(allMedia, objName)) {
                    allMedia[objName].push(file)
                } else {
                    allMedia[objName] = [file]
                }
            }
        }
    return allMedia
}
