import React, { useState } from 'react'

import './AsidePage.scss'
import {
    MenuDrawer,
    SearchBlock,
    Header,
    FloatBtn,
    CChatModal,
} from '../../components'

export const AsidePage = ({ children }) => {
    const [input, setInput] = useState('') // eslint-disable-line

    return (
        <div className="asidePageContainer">
            <div className="asidePageHeader">
                <Header>
                    <MenuDrawer />
                    <SearchBlock setInput={setInput} />
                </Header>
            </div>

            {children}

            <CChatModal key={'creation'} create={true} render={FloatBtn} />
        </div>
    )
}
