import React from 'react'
import { connect } from 'react-redux'

import { CMsgBlock } from './MsgBlock'
import './MsgPage.scss'
import { PageNoChat } from '..'

const MsgPage = ({
    match: {
        params: { _id },
    },
    chats,
}) => {
    if (_id in chats) {
        return <CMsgBlock chatId={_id} key={_id} />
    } else {
        return <PageNoChat />
    }
}
export const CMsgPage = connect((state) => ({ chats: state.chats }))(MsgPage)
