import { months } from '../constants'

export function dateFromStamp(createdAt) {
    const date = new Date(Number(createdAt))
    // console.log(createdAt, date)
    const dayDate = date.getDate() < 10 ? '0' + date.getDate() : date.getDate()
    const yearDate = date.getFullYear()

    const monthDate = date.getMonth()

    const curMonth = months[monthDate]

    const hours = date.getHours() < 10 ? '0' + date.getHours() : date.getHours()
    const minutes =
        date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()

    const dateInFormat =
        hours +
        ':' +
        minutes +
        ' - ' +
        dayDate +
        '.' +
        curMonth +
        '.' +
        yearDate

    return dateInFormat
}
